from PyQt5 import QtCore, QtWidgets, QtGui
from PyQt5.QtCore import Qt, QMimeData
from PyQt5.QtWidgets import QTreeWidgetItem, QFrame, QFileDialog, QMessageBox
from PyQt5.QtGui import QDrag, QFont

import ListItem

class ParentListItem(ListItem.ListItem):
    def __init__(self, name, id, src, unit, row):
        super(ParentListItem, self).__init__(name, id, src, unit, row)
        self.setFlags(Qt.NoItemFlags)

    def setSelectable(self):
        self.setFlags(Qt.NoItemFlags)
        pass

    def select(self):
        self.setSelected(False)

    def deselect(self):
        self.setSelected(False)
    

    def enable(self):
        pass
